Package org.eclipse.emf.cdo.server.mem

## Interface IMEMStore

- All Superinterfaces:
    `CDOAllRevisionsProvider`, `IStore`, `IStore.CanHandleClientAssignedIDs`
  All Known Subinterfaces:
    `IMEMStore`

      public interface IMEMStore
      extends IStore, CDOAllRevisionsProvider, IStore.CanHandleClientAssignedIDs

  A simple in-memory `store`.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IStore

      `IStore.CanHandleClientAssignedIDs, IStore.ChangeFormat, IStore.RevisionParallelism, IStore.RevisionTemporality`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `UNLIMITED` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getListLimit()` | Returns the number of `revisions` per `CDOID` that are stored.
    `EClass` | `getObjectType​(CDOID id)` |
    `void` | `setListLimit​(int listLimit)` | Limits the number of `revisions` per `CDOID` to the given value.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDOAllRevisionsProvider

      `getAllRevisions`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IStore

      `createObjectID, getCreationTime, getIndicatingCommitDistributor, getLastBranchID, getLastCommitTime, getLastLocalBranchID, getLastNonLocalCommitTime, getObjectIDTypes, getPersistentProperties, getReader, getRepository, getRevisionParallelism, getRevisionTemporality, getSupportedChangeFormats, getSupportedRevisionParallelisms, getSupportedRevisionTemporalities, getType, getWriter, isFirstStart, removePersistentProperties, setPersistentProperties`

- - ### Field Detail

    - #### UNLIMITED

          static final int UNLIMITED

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getListLimit

          int getListLimit()

      Returns the number of `revisions` per `CDOID` that are stored.

    - #### setListLimit

          void setListLimit​(int listLimit)

      Limits the number of `revisions` per `CDOID` to the given value.

      A value of 2, for example, stores the current and the immediately preceding revisions whereas older revisions are dropped from thids store. A value of 1 only stores the current revisions. A value of `UNLIMITED` does not limit the number of revisions to be stored for any id.

      The list limit can be set and enforced at any time before or after the `activation` of this store.

    - #### getObjectType

          EClass getObjectType​(CDOID id)

      Since:
        3.0